Carts & CheckoutOrders
Complete payment authentication
Continues the 3DS challenge of a Culqi payment. Send the original token and deviceSessionId with the authentication parameters the SDK returns.
Path Parameters
statusToken*string
transactionId*string
Header Parameters
x-Store-Domain*string
Slug of the store or one of its configured domains, such as my-store.
Length
1 <= length <= 253Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://storefront.ecomiq.pe/v1/orders/status/replace_with_the_issued_token/payments/7204558912004323150/authenticate" \ -H "x-Store-Domain: my-store" \ -H "Content-Type: application/json" \ -d '{ "token": "replace_with_the_issued_token", "deviceSessionId": "7204558912004329776", "authentication3DS": { "eci": "Mi tienda", "xid": "7204558912004321120", "cavv": "Mi tienda", "protocolVersion": "Mi tienda", "directoryServerTransactionId": "7204558912004326654" } }'{ "actionUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon", "isCaptured": false, "transactionId": "7204558912004323150", "externalId": "7204558912004323067", "actionKind": "none", "providerId": "7204558912004329705", "publicConfiguration": { "key": "Mi tienda" }, "clientSecret": "replace_with_a_random_secret"}